/* /Components/ListView.razor.rz.scp.css */
ul[b-h5awuk9zlv] {
    list-style:none;
    padding:0;
    overflow-x:hidden;
    width:100%;
}
li[b-h5awuk9zlv] {
    box-sizing: border-box;
    border-bottom: 1px solid black;
    overflow: hidden;
    text-overflow: ellipsis;
    transform: translateX(0);
    height: var(--list-item-height);
    padding: 5px;
    margin: 1px;
}

    li.added[b-h5awuk9zlv] {
        animation: slide-in-b-h5awuk9zlv 0.5s forwards;
    }

    li.removed[b-h5awuk9zlv] {
      animation: slide-out-b-h5awuk9zlv 0.5s forwards;
    }

    @keyframes slide-in-b-h5awuk9zlv {
        from {
            height: 0;
            transform: translateX(100%);
            margin: 0;
            padding: 0;
        }
        to {
            transform: translateX(0);
            height: var(--list-item-height);
            padding: 5px;
            margin: 1px;
        }
    }
    @keyframes slide-out-b-h5awuk9zlv {
        from {
            transform: translateX(0);
            height: var(--list-item-height);
            padding: 5px;
            margin:1px;
        }

        to {
            height: 0;
            transform: translateX(100%);
            margin: 0;
            padding: 0;
        }
    }
/* /Components/SearchBox.razor.rz.scp.css */
div[b-c3oczdfkvf] {
    display:grid;
    grid-template-columns: 1fr auto auto;
}

i[b-c3oczdfkvf] {
    width:16px;
    margin:0 8px 0 8px;
    justify-self:center;
    align-self:center;
}
/* /Components/SearchResults/CompanySearchResults.razor.rz.scp.css */
[b-k5hunq2l32] li>dl {
       grid-template-columns: 1fr auto;
   
}

[b-k5hunq2l32] button {
    justify-self: end;
    display:block;
    margin-top: 5px;
}

[b-k5hunq2l32] dt, [b-k5hunq2l32] dd {
    overflow:hidden;
    text-overflow: ellipsis;
    text-wrap:nowrap;
    cursor: help;
}
/* /Components/SearchResults/ContactSearchResults.razor.rz.scp.css */
[b-801jy2hozf] li {
    position:relative;
}

[b-801jy2hozf] dl {
    display: grid;
    grid-template-columns: 100px 1fr;
    grid-gap:2px;
}

[b-801jy2hozf] dt {
    text-align:right;
}

[b-801jy2hozf] dt:after {
    content:':';
}

[b-801jy2hozf] button {
    position:absolute;
    right:5px;
    bottom:5px;
}

[b-801jy2hozf] dd {
    text-overflow: ellipsis;
    text-wrap:nowrap;
    overflow:hidden;
    cursor: help;
}
/* /Components/SearchResults/ProposalSearchResults.razor.rz.scp.css */
[b-q70x51ny3r] li {
    position:relative;
}

[b-q70x51ny3r] dl {
    display: grid;
    grid-template-columns: 100px 1fr;
    grid-gap:2px;
}

[b-q70x51ny3r] dt {
    text-align:right;
}

[b-q70x51ny3r] dt:after {
    content:':';
}

[b-q70x51ny3r] button {
    position:absolute;
    right:5px;
    bottom:5px;
}
/* /Pages/Index.razor.rz.scp.css */
[b-scpztga2zd] ul {
    margin:0;
}



.automatic-search .search-results[b-scpztga2zd] {
    border: 1px solid black;
    padding: 1px;
}


.environment-selector[b-scpztga2zd] {
    padding-bottom: 0;
    overflow: hidden;
}


header[b-scpztga2zd] {
    width: 100%;
    display: grid;
    grid-template-columns: auto 1fr auto auto;
    gap: 1px;
}

[b-scpztga2zd] header > *:nth-child(2) {
    grid-column: 3;
}

.environment-selector.show[b-scpztga2zd] {
    background:silver;
    margin-top: 2px;
    overflow: hidden;
    grid-column: 1/5;
    padding: 0 4px;
    align-content:center;
}

[b-scpztga2zd] .attachment-row img {
    max-width: calc(var(--list-item-height) - 1em);
    max-height: calc(var(--list-item-height) - 1em);
    object-fit: contain;
}
[b-scpztga2zd] .attachment-row dt i {
    font-size: calc(var(--list-item-height) - 1em);
    
}

[b-scpztga2zd] .attachment-row {
    display: grid;
    grid-template-columns: calc(var(--list-item-height) - 1em) 1fr;
    gap: 2px;
}

[b-scpztga2zd] .attachment-row dd {
    margin: 0;
    overflow: hidden;
}

[b-scpztga2zd] ul.attachment-detail {
    list-style: none;
    display: grid;
    grid-template-rows: repeat(3,auto);
    height: calc(var(--list-item-height) - 1em);
    padding: 0;
}

[b-scpztga2zd] ul.attachment-detail li:nth-last-child(1) {
    grid-row: 3;
    align-content: end;
}

[b-scpztga2zd] ul.attachment-detail li {
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    text-align: right;
}

[b-scpztga2zd] ul.attachment-detail li:first-child > i {
    margin-left:5px;
}

    [b-scpztga2zd] ul.attachment-detail li:first-child {
        display:grid;
        grid-template-columns: 1fr auto auto auto;
        align-items:center;
        height:32px;
        max-height:32px;
    }

    [b-scpztga2zd] ul .row {
        width: 100%;
        max-width: 100%;
    }

[b-scpztga2zd] dl[data-added] {
    filter: blur(5px) grayscale(1);
}

.root[b-scpztga2zd] {
    --attachment-row-height: 5em;
    --company-row-height: 4em;
    --contact-row-height: 4em;
    --proposal-row-height: 4em;
    --opportunity-row-height: 4em;
    grid-template-rows: auto 1fr auto auto;
    padding-top: 2px;
    display: grid;
    max-height: 100%;
    height:100%;
}

.main[b-scpztga2zd] {
    overflow-y: auto;
}


.links[b-scpztga2zd] {
    max-height:50vh;
    overflow-y: auto;
    background: white;
    border-top: 1px solid black;
}

[b-scpztga2zd] li {
    position: relative;
}


[b-scpztga2zd] dd, [b-scpztga2zd] dt {
    margin-inline-start:0;
    align-content: center;
}
[b-scpztga2zd] dl {
    display: grid;
    grid-template-columns: 100px 1fr;
    grid-gap: 2px;
}

[b-scpztga2zd] .links .linked {
    color: #808080;
}

[b-scpztga2zd] dl.company-row, [b-scpztga2zd] dl.contact-row {
    grid-template-columns: 1fr auto;
}


[b-scpztga2zd] dl.company-row dt, [b-scpztga2zd] dl.contact-row dt {
    text-wrap:nowrap;
    text-overflow: ellipsis;
    overflow:hidden;
}

[b-scpztga2zd] dl.company-row button, [b-scpztga2zd] dl.proposal-row ~ button {
    display:block;
    margin-left:auto;
}

[b-scpztga2zd] dl.proposal-row dd {
    text-wrap: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}

[b-scpztga2zd] footer button {
    display:block;
    margin-left:auto;
    margin-right:2px;
}
/* /Shared/MainLayout.razor.rz.scp.css */
.page[b-ovi9r621dn] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-ovi9r621dn] {
    flex: 1;
}

.sidebar[b-ovi9r621dn] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-ovi9r621dn] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-ovi9r621dn]  a, .top-row[b-ovi9r621dn]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-ovi9r621dn]  a:hover, .top-row[b-ovi9r621dn]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-ovi9r621dn]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row:not(.auth)[b-ovi9r621dn] {
        display: none;
    }

    .top-row.auth[b-ovi9r621dn] {
        justify-content: space-between;
    }

    .top-row[b-ovi9r621dn]  a, .top-row[b-ovi9r621dn]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-ovi9r621dn] {
        flex-direction: row;
    }

    .sidebar[b-ovi9r621dn] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-ovi9r621dn] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-ovi9r621dn]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-ovi9r621dn], article[b-ovi9r621dn] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}
/* /Shared/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-5w374wsfyl] {
    background-color: rgba(255, 255, 255, 0.1);
}

.top-row[b-5w374wsfyl] {
    height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
}

.navbar-brand[b-5w374wsfyl] {
    font-size: 1.1rem;
}

.oi[b-5w374wsfyl] {
    width: 2rem;
    font-size: 1.1rem;
    vertical-align: text-top;
    top: -2px;
}

.nav-item[b-5w374wsfyl] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-5w374wsfyl] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-5w374wsfyl] {
        padding-bottom: 1rem;
    }

    .nav-item[b-5w374wsfyl]  a {
        color: #d7d7d7;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
    }

.nav-item[b-5w374wsfyl]  a.active {
    background-color: rgba(255,255,255,0.25);
    color: white;
}

.nav-item[b-5w374wsfyl]  a:hover {
    background-color: rgba(255,255,255,0.1);
    color: white;
}

@media (min-width: 641px) {
    .navbar-toggler[b-5w374wsfyl] {
        display: none;
    }

    .collapse[b-5w374wsfyl] {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }
}
